/* ---------初回表示制御--------- */
jQuery(function(){

  /* ドロップダウンメニュー */
  if (window.matchMedia('(min-width:769px)').matches) {
    jQuery("#dorp_menu_hidden").show();
  }
  else {
    jQuery("#dorp_menu_hidden").hide();
  }
  jQuery("#spnavi li").click(function(){
    if(jQuery("#dorp_menu_hidden").is(":hidden")){
      jQuery("#dorp_menu_hidden:not(:animated)").slideDown("fast");
    }
    else{
      jQuery("#dorp_menu_hidden:not(:animated)").slideUp("fast");
    }
  });

  /* ページトップへ戻る（スクロール） */
  jQuery("#page_top").click(function(){
      jQuery("html,body").animate({scrollTop:0},'slow');
      return false;
  });

});

/* ---------Windowがリサイズされた時の制御--------- */
var timer = false;
jQuery(window).resize(function() {
  if(timer != false) {
    clearTimeout(timer);
  }
  timer = setTimeout(function() {
/*    console.log('resized'); */

    if (window.matchMedia('(min-width:769px)').matches) {
      /* PCサイトサイズになったら、ナビメニュー表示 */
      jQuery("#dorp_menu_hidden").show();
    }
    else{
      /* スマホサイズになったら、ナビメニューは隠す（ドロップダウンメニュー） */
      jQuery("#dorp_menu_hidden").hide();
    }

  }, 200);

});
